<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>FormulaError (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FormulaError (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":10,"i4":10,"i5":10,"i6":9,"i7":9,"i8":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FormulaError.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/Footer.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/FormulaError.html" target="_top">Frames</a>
        </li>
        <li><a href="FormulaError.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.usermodel</div>
    <h2 title="Enum FormulaError" class="title">Enum FormulaError</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>java.lang.Enum&lt;<a href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                                         title="enum in org.apache.poi.ss.usermodel">FormulaError</a>&gt;
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.ss.usermodel.FormulaError</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Serializable, java.lang.Comparable&lt;<a
                            href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                            title="enum in org.apache.poi.ss.usermodel">FormulaError</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public enum <span class="typeNameLabel">FormulaError</span>
extends java.lang.Enum&lt;<a href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                             title="enum in org.apache.poi.ss.usermodel">FormulaError</a>&gt;</pre>
                <div class="block">Enumerates error values in SpreadsheetML formula calculations.

                    See also OOO's excelfileformat.pdf (2.5.6)
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== ENUM CONSTANT SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.summary">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Enum Constant Summary table, listing enum constants, and an explanation">
                            <caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Enum Constant and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html#Z:Z_NO_ERROR">_NO_ERROR</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html#CIRCULAR_REF">CIRCULAR_REF</a></span></code>
                                    <div class="block">POI specific code to indicate that there is a circular reference
                                        in the formula
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html#DIV0">DIV0</a></span></code>
                                    <div class="block">Intended to indicate when any number, including zero, is divided
                                        by zero.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html#FUNCTION_NOT_IMPLEMENTED">FUNCTION_NOT_IMPLEMENTED</a></span></code>
                                    <div class="block">POI specific code to indicate that the funcition required is
                                        not implemented in POI
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html#NA">NA</a></span></code>
                                    <div class="block">Intended to indicate when a designated value is not available.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html#NAME">NAME</a></span></code>
                                    <div class="block">Intended to indicate when what looks like a name is used, but no
                                        such name has been defined.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html#NULL">NULL</a></span></code>
                                    <div class="block">Intended to indicate when two areas are required to intersect,
                                        but do not.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html#NUM">NUM</a></span></code>
                                    <div class="block">Intended to indicate when an argument to a function has a
                                        compatible type, but has a
                                        value that is outside the domain over which that function is defined.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html#REF">REF</a></span></code>
                                    <div class="block">Intended to indicate when a cell reference is invalid.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html#VALUE">VALUE</a></span></code>
                                    <div class="block">Intended to indicate when an incompatible type argument is passed
                                        to a function, or
                                        an incompatible type operand is used with an operator.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                                        title="enum in org.apache.poi.ss.usermodel">FormulaError</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html#forInt-byte-">forInt</a></span>(byte&nbsp;type)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                                        title="enum in org.apache.poi.ss.usermodel">FormulaError</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html#forInt-int-">forInt</a></span>(int&nbsp;type)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                                        title="enum in org.apache.poi.ss.usermodel">FormulaError</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html#forString-java.lang.String-">forString</a></span>(java.lang.String&nbsp;code)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html#getCode--">getCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html#getLongCode--">getLongCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html#getString--">getString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>static boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html#isValidCode-int-">isValidCode</a></span>(int&nbsp;errorCode)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                                        title="enum in org.apache.poi.ss.usermodel">FormulaError</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">Returns the enum constant of this type with the specified name.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                                        title="enum in org.apache.poi.ss.usermodel">FormulaError</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html#values--">values</a></span>()</code>
                                    <div class="block">Returns an array containing the constants of this enum type, in
                                        the order they are declared.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Enum</h3>
                                <code>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal,
                                    toString, valueOf</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ ENUM CONSTANT DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.detail">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Detail</h3>
                        <a name="Z:Z_NO_ERROR">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_NO_ERROR</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public static final&nbsp;<a href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                            title="enum in org.apache.poi.ss.usermodel">FormulaError</a> _NO_ERROR</pre>
                            </li>
                        </ul>
                        <a name="NULL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>NULL</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                                        title="enum in org.apache.poi.ss.usermodel">FormulaError</a> NULL</pre>
                                <div class="block">Intended to indicate when two areas are required to intersect, but do
                                    not.
                                    <p>Example:
                                        In the case of SUM(B1 C1), the space between B1 and C1 is treated as the binary
                                        intersection operator, when a comma was intended. end example]
                                    </p></div>
                            </li>
                        </ul>
                        <a name="DIV0">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DIV0</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                                        title="enum in org.apache.poi.ss.usermodel">FormulaError</a> DIV0</pre>
                                <div class="block">Intended to indicate when any number, including zero, is divided by
                                    zero.
                                    Note: However, any error code divided by zero results in that error code.
                                </div>
                            </li>
                        </ul>
                        <a name="VALUE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VALUE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                                        title="enum in org.apache.poi.ss.usermodel">FormulaError</a> VALUE</pre>
                                <div class="block">Intended to indicate when an incompatible type argument is passed to
                                    a function, or
                                    an incompatible type operand is used with an operator.
                                    <p>Example:
                                        In the case of a function argument, text was expected, but a number was provided
                                    </p></div>
                            </li>
                        </ul>
                        <a name="REF">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>REF</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                                        title="enum in org.apache.poi.ss.usermodel">FormulaError</a> REF</pre>
                                <div class="block">Intended to indicate when a cell reference is invalid.
                                    <p>Example:
                                        If a formula contains a reference to a cell, and then the row or column
                                        containing that cell is deleted,
                                        a #REF! error results. If a worksheet does not support 20,001 columns,
                                        OFFSET(A1,0,20000) will result in a #REF! error.
                                    </p></div>
                            </li>
                        </ul>
                        <a name="NAME">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>NAME</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                                        title="enum in org.apache.poi.ss.usermodel">FormulaError</a> NAME</pre>
                                <div class="block">Intended to indicate when what looks like a name is used, but no such
                                    name has been defined.
                                    <p>Example:
                                        XYZ/3, where XYZ is not a defined name. Total is & A10,
                                        where neither Total nor is is a defined name. Presumably, "Total is " & A10
                                        was intended. SUM(A1C10), where the range A1:C10 was intended.
                                    </p></div>
                            </li>
                        </ul>
                        <a name="NUM">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>NUM</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                                        title="enum in org.apache.poi.ss.usermodel">FormulaError</a> NUM</pre>
                                <div class="block">Intended to indicate when an argument to a function has a compatible
                                    type, but has a
                                    value that is outside the domain over which that function is defined. (This is known
                                    as
                                    a domain error.)
                                    <p>Example:
                                        Certain calls to ASIN, ATANH, FACT, and SQRT might result in domain errors.
                                    </p>
                                    Intended to indicate that the result of a function cannot be represented in a value
                                    of
                                    the specified type, typically due to extreme magnitude. (This is known as a range
                                    error.)
                                    <p>Example: FACT(1000) might result in a range error. </p></div>
                            </li>
                        </ul>
                        <a name="NA">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>NA</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                                        title="enum in org.apache.poi.ss.usermodel">FormulaError</a> NA</pre>
                                <div class="block">Intended to indicate when a designated value is not available.
                                    <p>Example:
                                        Some functions, such as SUMX2MY2, perform a series of operations on
                                        corresponding
                                        elements in two arrays. If those arrays do not have the same number of elements,
                                        then
                                        for some elements in the longer array, there are no corresponding elements in
                                        the
                                        shorter one; that is, one or more values in the shorter array are not available.
                                    </p>
                                    This error value can be produced by calling the function NA
                                </div>
                            </li>
                        </ul>
                        <a name="CIRCULAR_REF">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CIRCULAR_REF</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                                        title="enum in org.apache.poi.ss.usermodel">FormulaError</a> CIRCULAR_REF</pre>
                                <div class="block">POI specific code to indicate that there is a circular reference
                                    in the formula
                                </div>
                            </li>
                        </ul>
                        <a name="FUNCTION_NOT_IMPLEMENTED">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>FUNCTION_NOT_IMPLEMENTED</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                                        title="enum in org.apache.poi.ss.usermodel">FormulaError</a> FUNCTION_NOT_IMPLEMENTED</pre>
                                <div class="block">POI specific code to indicate that the funcition required is
                                    not implemented in POI
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="values--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>values</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                                        title="enum in org.apache.poi.ss.usermodel">FormulaError</a>[]&nbsp;values()</pre>
                                <div class="block">Returns an array containing the constants of this enum type, in
                                    the order they are declared. This method may be used to iterate
                                    over the constants as follows:
                                    <pre>
for (FormulaError c : FormulaError.values())
&nbsp;   System.out.println(c);
</pre>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an array containing the constants of this enum type, in the order they are
                                        declared
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="valueOf-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>valueOf</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                                        title="enum in org.apache.poi.ss.usermodel">FormulaError</a>&nbsp;valueOf(java.lang.String&nbsp;name)</pre>
                                <div class="block">Returns the enum constant of this type with the specified name.
                                    The string must match <i>exactly</i> an identifier used to declare an
                                    enum constant in this type. (Extraneous whitespace characters are
                                    not permitted.)
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the name of the enum constant to be returned.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the enum constant with the specified name</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no
                                        constant with the specified name
                                    </dd>
                                    <dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCode</h4>
                                <pre>public&nbsp;byte&nbsp;getCode()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>numeric code of the error</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLongCode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLongCode</h4>
                                <pre>public&nbsp;int&nbsp;getLongCode()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>long (internal) numeric code of the error</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getString()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>string representation of the error</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isValidCode-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isValidCode</h4>
                                <pre>public static&nbsp;boolean&nbsp;isValidCode(int&nbsp;errorCode)</pre>
                            </li>
                        </ul>
                        <a name="forInt-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>forInt</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                                        title="enum in org.apache.poi.ss.usermodel">FormulaError</a>&nbsp;forInt(byte&nbsp;type)
                           throws java.lang.IllegalArgumentException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="forInt-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>forInt</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                                        title="enum in org.apache.poi.ss.usermodel">FormulaError</a>&nbsp;forInt(int&nbsp;type)
                           throws java.lang.IllegalArgumentException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="forString-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>forString</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                                        title="enum in org.apache.poi.ss.usermodel">FormulaError</a>&nbsp;forString(java.lang.String&nbsp;code)
                              throws java.lang.IllegalArgumentException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FormulaError.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/Footer.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/FormulaError.html" target="_top">Frames</a>
        </li>
        <li><a href="FormulaError.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
